summaryrefslogtreecommitdiff
path: root/pre-install.d/50uncommitted-changes
diff options
context:
space:
mode:
Diffstat (limited to 'pre-install.d/50uncommitted-changes')
-rwxr-xr-xpre-install.d/50uncommitted-changes17
1 files changed, 1 insertions, 16 deletions
diff --git a/pre-install.d/50uncommitted-changes b/pre-install.d/50uncommitted-changes
index ef3fbf1..969d341 100755
--- a/pre-install.d/50uncommitted-changes
+++ b/pre-install.d/50uncommitted-changes
@@ -1,16 +1,6 @@
#!/bin/sh
set -e
-if [ "$1" = "fail-debconf" ]; then
- . /usr/share/debconf/confmodule
- db_title etckeeper
- db_subst etckeeper/commit_failed VCS "$VCS"
- db_input critical etckeeper/commit_failed || true
- db_go || true
- db_reset etckeeper/commit_failed || true
- exit 0
-fi
-
if etckeeper unclean; then
if [ "$AVOID_COMMIT_BEFORE_INSTALL" = 1 ]; then
echo "" >&2
@@ -20,11 +10,6 @@ if etckeeper unclean; then
exit 1
fi
if ! etckeeper commit "saving uncommitted changes in /etc prior to $HIGHLEVEL_PACKAGE_MANAGER run"; then
- if [ -e /usr/share/debconf/confmodule ]; then
- $0 fail-debconf
- else
- echo "error: etckeeper failed to commit changes in /etc using $VCS"
- exit 1
- fi
+ echo "warning: etckeeper failed to commit changes in /etc using $VCS" >&2
fi
fi